0x00,   IR_NUM0,            
0x01,   IR_NUM1,            
0x02,   IR_NUM2,            
0x03,   IR_NUM3,            
0x04,   IR_NUM4,            
0x05,   IR_NUM5,            
0x06,   IR_NUM6,            
0x07,   IR_NUM7,            
0x08,   IR_NUM8,            
0x09,   IR_NUM9,            
0x0A,   IR_ADD10,
0x0B,   IR_ADD20,
0x0C,   IR_ADD5,
0x0D,   IR_UP,              
0x0E,   IR_LEFT,            
0x0F,   IR_RIGHT,           
0x10,   IR_DOWN,            
0x11,   IR_ENTER,            
0x12,   IR_PLAY,            
0x13,   IR_PAUSE,           
0x14,   IR_STOP,            
0x15,   IR_NEXT,            
0x16,   IR_PREV,            
0x17,   IR_REPEAT,          
0x18,   IR_RESUME,          
0x19,   IR_FF,              
0x1A,   IR_FR,              
0x1B,   IR_SF,              
0x1C,   IR_SR,              
0x1D,   IR_STEPF,           
0x1E,   IR_STEPR,           
0x1F,   IR_REVERSE,         
0x20,   IR_SET_A,           
0x21,   IR_SET_B,           
0x22,   IR_TITLE_MENU,      
0x23,   IR_ROOT_MENU,       
0x24,   IR_RETURN,          
0x25,   IR_NEXT_DLIST,      
0x26,   IR_PREV_DLIST,      
0x27,   IR_HOME_DLIST,      
0x28,   IR_AUDIO,           
0x29,   IRSUB_TITLE,        
0x2A,   IRSUB_TITLE_OFF,    
0x2B,   IR_ANGLE,           
0x2C,   IR_DISPLAY,         
0x2D,   IR_REMAIN,          
0x2E,   IR_GOTO,            
0x2F,   IR_MARK,            
0x30,   IR_CLEAR,           
0x31,   IR_PBC,             
0x32,   IR_DIGEST,          
0x33,   IR_PROGRAM,         
0x34,   IR_RANDOM,          
0x35,   IR_VRMT,            
0x36,   IR_MEMORY,          
0x37,   IR_PLAY_MODE,       
0x38,   IR_PAL_NTSC,        
0x39,   IR_TV_MODE,         
0x3A,   IR_COMPONENT,       
0x3B,   IR_PSCAN,           
0x3C,   IR_VGA,             
0x3D,   IR_ZOOM_IN,         
0x3E,   IR_ZOOM_OUT,        
0x3F,   IR_ZOOM_USER,       
0x40,   IR_CAPTURE,         
0x41,   IR_RECORD,          
0x42,   IR_MARK_HOLD,       
0x43,   IR_PROGRAM_HOLD,    
0x44,   IR_CHANNEL,         
0x45,   IR_CHANNEL_UP,      
0x46,   IR_CHANNEL_DOWN,    
0x47,   IR_RECORD_PAUSE,    
0x48,   IR_RECORD_STOP,     
0x49,   IR_DVD_HDD,         
0x4A,   IR_PIP,             
0x4B,   IR_EDIT,            
0x4C,   IR_DISC,            
0x4D,   IR_INPUT,           
0x4E,   IR_VCR_PLUS,        
0x4F,   IR_CH_MARK,         
0x50,   IR_REPLAY,          
0x51,   IR_TIME_SHIFT,      
0x52,   IR_MAKE_PIC,        
0x53,   IR_AUD_KEY_PLUS,    
0x54,   IR_AUD_KEY_MINUS,   
0x55,   IR_AUD_KEY_RESUME,  
0x56,   IR_ECHO_PLUS,       
0x57,   IR_ECHO_MINUS,      
0x58,   IR_SURROUND,        
0x59,   IR_VOCAL_ASSIST,    
0x5A,   IR_KARAOKE,         
0x5B,   IR_ECHO_TYPE,       
0x5C,   IR_EQUALIZER,       
0x5D,   IR_VOICE_CANCEL,    
0x5E,   IR_SPK_CFG,         
0x5F,   IR_SPDIF,           
0x60,   IR_MUTE_UP,         
0x61,   IR_VOLUME_UP,       
0x62,   IR_VOLUME_DOWN,     
0x63,   IR_AUD_LR,          
0x64,   IR_SETUP,           
0x65,   IR_PLAY_TYPE,       
0x66,   IR_OSD_LANGUAGE,    
0x67,   IR_DEFAULT,         
0x68,   IR_GAME,            
0x69,   IR_FUNCTION,        
0x6A,   IR_VFD_DARK,        
0x6B,   IR_VFD_BRIGHT,      
0x6C,   IR_VFD_MODE,        
0x6D,   IR_POWER,           
0x6E,   IR_EJECT,           
0x6F,   IR_GENERAL_KEY_MAP_MAX,
0x70,   IR_PLAY_PAUSE,      
0x71,   IR_PAUSE_STEP,      
0x72,   IR_STOP_RESUME,     
0x73,   IR_PLAY_ENTER,      
0x74,   IR_MENU_PBC,        
0x75,   IR_TITLE_PBC,       
0x76,   IR_MANUAL_EJECT,    
0x77,   IR_SHIFT,           
0x78,   IR_DELETE,          
0x79,   IR_BACKSPACE,       
0x7A,   IR_PREVPAGE,        
0x7B,   IR_NEXTPAGE,        
0x7C,   IR_MEMCARD,         
0x7D,   IR_QUALITY,         
0x7E,   IR_DVD_INPUT,       
0x7F,   IR_DVD,             
0x80,   IR_DVD_EJECT,       
0x81,   IR_VCR_EJECT,       
0x82,   IR_DVD_VCR,         
0x83,   IR_DVD_CPY,         
0x84,   IR_VCR_CPY,         
0x85,   IR_TV_VCR,          
0x86,   IR_TV_VIEW,         
0x87,   IR_ADD100,          
0x88,   IR_SEARCH,          
0x89,   IR_REC_SPEED,       
0x8A,   IR_POWER_HOLD,      
0x8B,   IR_RECORD_MODE,     
0x8C,   IR_RECORD_TIMER,    
0x8D,   IR_INSTANT_SKIP,    
0x8E,   IR_HDMI,            
0xA0,   IR_HDD,             
0xA1,   IR_DV,              
0xA2,   IR_SET_TIMER_REC,   
0xA3,   IR_FSPLAY,          
0xA4,   IR_TV,              
0xA5,   IR_CM_SKIP,         
0xA6,   IR_JUKEBOX,         
0xA7,   IR_DUMMY10,         
0xA8,   IR_DUMMY11,         
0xA9,   IR_DUMMY12,         
0xAA,   IR_INTERNAL_KEY_START,
0xAB,   IR_CMD_DONE,        
0xAC,   IR_TIME_OUT,        
0xAD,   IR_DONE,            
0xAE,   IR_PASSWORD,        
0xAF,   IR_HDN_PASSWORD,    
0xB0,   IR_UPG,             
0xB1,   IR_SELECT_DONE,     
0xB2,   IR_TRECORD,         
0xB3,   IR_TRECORD_PAUSE,   
0xB4,   IR_TRECORD_STOP,    
0xB5,   IR_FSMENU,          
0xB6,   IR_FSMENU_STOP,     
0xB7,   IR_CHANGE_LANG,     
0xB8,   IR_MCARD_EJECT,     
0xB9,   IR_MCARD_INSERT,    
0xBA,   IR_EXIT,            
0xBB,   IR_AUTOINIT,        
0xBC,   IR_RECOVER,         
0xBD,   IR_ADAPT,           
0xBE,   IR_ROOTVMN,         
0xBF,   IR_ROOT_VER_MN_PN,  
0xC0,   IR_ROOT_EDT_MN_PN,  
0xC1,   IR_REGION_ERR,      
0xC2,   IR_THUMBNAIL,       
0xC3,   IR_EPG_RECORD,      
0xC4,   IR_EPG_RECORD_STOP, 
0xD5,   IR_EXT1,                     
0xD6,   IR_YUV,                     
0xD7,   IR_CAM,                      
0xD8,   IR_SCART,                  
0xD9,   IR_HDD_MENU,          				
0xDa,   IR_DVD_MENU,          				
0xdb,   IR_USB_MENU,          				
0xdc,   IR_HOME_MENU,       					  
0xdd,   IR_RIGHT_HOLD,      					
0xde,   IR_LEFT_HOLD,        				        
0xdf,   IR_INTERNAL_KEY_END,  				   
0xe0,   IR_GUIDER,      							 
0xe1,   IR_RED,          							
0xe2,   IR_GREEN,      								
0xe3,   IR_YELLOW,    								
0xe4,   IR_BLUE,         							        
0xe5,   IR_INFO,         							
